curl --request GET \
--url https://api.{environment}.corti.app/v2/interactions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Name: <tenant-name>'import { CortiClient, CortiEnvironment } from "@corti/sdk";
const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
await client.interactions.get("f47ac10b-58cc-4372-a567-0e02b2c3d479");
using Corti;
var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Interactions.GetAsync("f47ac10b-58cc-4372-a567-0e02b2c3d479");
import requests
url = "https://api.{environment}.corti.app/v2/interactions/{id}"
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tenant-Name: <tenant-name>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.{environment}.corti.app/v2/interactions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.{environment}.corti.app/v2/interactions/{id}")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.asString();{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"assignedUserId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"encounter": {
"identifier": "<string>",
"status": "planned",
"type": "first_consultation",
"period": {
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z"
},
"title": "<string>"
},
"patient": {
"identifier": "<string>",
"name": "<string>",
"gender": "male",
"birthDate": "2023-11-07T05:31:56Z",
"pronouns": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"websocketUrl": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z"
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}Get Existing Interaction
Retrieves a previously recorded interaction by its unique identifier (interaction ID).
Authorizations
Input your token
Headers
Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.
"base"
Path Parameters
The unique identifier of the interaction. Must be a valid UUID.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
Returns the requested interaction with all associated details.
Unique identifier for the interaction.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
A unique identifier for the medical professional responsible for this interaction. If nulled, automatically set to a uuid.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Information about the encounter, including type, status, and timing.
Show child attributes
Show child attributes
Details about the patient involved in the interaction, if applicable.
Show child attributes
Show child attributes
The timestamp when the interaction was started (UTC).
The timestamp when the interaction was last modified (UTC).
WebSocket URL for streaming real-time interactions. Append a token in the format: /interactions/{interactionID}/streams?token=Bearer token-value-here
The timestamp indicating the last recorded update for this interaction.
The timestamp when the interaction concluded (UTC).
Was this page helpful?